/**
 * file: logic/connector.go
 * author: theo technicguy
 * license: apache 2.0
 *
 * This file implements the connection logic to the
 * logic provider
 */

package logic

import (
	hlogger "git.licolas.net/hoffman/server/logger"
	"git.licolas.net/hoffman/server/types"
	"github.com/rs/zerolog"
)

var (
	logger zerolog.Logger = hlogger.GetLogger("logic")
)

type logic struct {
	dsrc types.Datasource
}

func UseDatasource(dsrc types.Datasource) *logic {
	logger.Info().Msg("setup logic provider")
	return &logic{dsrc: dsrc}
}
